### Method

# Gimp Image insert_vectors

#### Declaration [src]

    gboolean
    gimp_image_insert_vectors (
      GimpImage* image,
      GimpVectors* vectors,
      GimpVectors* parent,
      gint position
    )

#### Description [src]

Add the specified vectors to the image.

This procedure adds the specified vectors to the image at the given position. Since vectors groups are not currently supported, the parent argument must always be 0. The position argument specifies the location of the vectors inside the stack, starting from the top (0) and increasing. If the position is specified as -1, then the vectors is inserted above the active vectors.

#### Parameters

`vectors` | `GimpVectors`
| The vectors.
| The data is owned by the caller of the function.
`parent` | `GimpVectors`
| The parent vectors.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`position` | `gint`
| The vectors position.

#### Return value

Returns: | `gboolean`
| TRUE on success.